using System;

namespace BUG
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
            int BrojElementaNiza = int.Parse(ulaz[0]);
            int k = int.Parse(ulaz[1]);
            int[] niz = new int[BrojElementaNiza];
            long pocetnaSuma = 0;
            long suma = 0;
            ulaz = Console.ReadLine().Split();
            for (int i = 0; i < BrojElementaNiza; i++)
            {
                niz[i] = int.Parse(ulaz[i]);
                pocetnaSuma += niz[i];
            }
            for (int i = 0; i < BrojElementaNiza; i++)
            {
                int broj = niz[i];
                for (int y = i + 1; y < BrojElementaNiza; y++)
                {
                    broj += niz[y];
                    suma += broj;
                }

            }
            suma = suma * k + pocetnaSuma;
            Console.WriteLine(suma);
        }
    }
}